## org.eclipse.datatools.sqltools.db.generic.ui
Class GenericASTSQLStatementImageHandler

    java.lang.Object
      org.eclipse.datatools.sqltools.db.generic.ui.GenericASTSQLStatementImageHandler

All Implemented Interfaces:
  INodesImageHandler

    public class GenericASTSQLStatementImageHandler

extends java.lang.Object
implements INodesImageHandler

Constructor Summary
`GenericASTSQLStatementImageHandler()`

Method Summary
`org.eclipse.swt.graphics.Image` `getImage(Node node)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericASTSQLStatementImageHandler

    public GenericASTSQLStatementImageHandler()

Method Detail

### getImage

    public org.eclipse.swt.graphics.Image getImage(Node node)

  Specified by:
    `getImage` in interface `INodesImageHandler`